# Interface methods for submodule: LabelSelectionLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceLabelMapFilterProxy as _InPlaceLabelMapFilterProxy


# Interface methods for class: LabelSelectionLabelMapFilter
class LabelSelectionLabelMapFilterProxy(_InPlaceLabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetAttributeSet(self):
		""""""
		...

	def SetAttributeSet(self, set) -> None:
		""""""
		...

	def GetExclude(self) -> bool:
		""""""
		...

	def SetExclude(self, _arg: bool) -> None:
		""""""
		...

	def ExcludeOn(self) -> None:
		""""""
		...

	def ExcludeOff(self) -> None:
		""""""
		...

	def SetAttribute(self, attr: int) -> None:
		""""""
		...

	def ClearAttributeSet(self) -> None:
		""""""
		...

	def AddAttribute(self, attr: int) -> None:
		""""""
		...

	def GetLabelSet(self):
		""""""
		...

	def SetLabelSet(self, set) -> None:
		""""""
		...

	def SetLabel(self, attr: int) -> None:
		""""""
		...

	def ClearLabelSet(self) -> None:
		""""""
		...

	def AddLabel(self, attr: int) -> None:
		""""""
		...

